Skip to main content
POST
/
billers
/
{biller_code}
/
items
/
{item_code}
/
payment
Create a Bill Payment
curl --request POST \
  --url https://api.flutterwave.com/v3/billers/{biller_code}/items/{item_code}/payment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "country": "NG",
  "customer_id": "0025401100",
  "reference": "d7a004b1-a581-4cd9-89ae-a1f0934019",
  "amount": 1800,
  "callback_url": "https://webhook.site/#!/view/df95cc29-1556-4e39-85ff-180fae09f3e8"
}
'
{
  "status": "success",
  "message": "Bill payment successful",
  "data": {
    "phone_number": "0025401100",
    "amount": 1800,
    "network": "DSTV Payment",
    "code": "200",
    "tx_ref": "CF-FLYAPI-20240324091413750321",
    "reference": "247837898415",
    "batch_reference": null,
    "recharge_token": null,
    "fee": 100
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

biller_code
string
required
Example:

"BIL119"

item_code
string
required
Example:

"CB140"

Body

application/json
country
string
required
customer_id
string
required
reference
string
required
amount
integer<int32>
required
callback_url
string
required

Response

OK

status
string
required
message
string
required
data
Data74 · object
required
Example:
{
"phone_number": "0025401100",
"amount": 1800,
"network": "DSTV Payment",
"code": "200",
"tx_ref": "CF-FLYAPI-20240324091413750321",
"reference": "247837898415",
"batch_reference": null,
"recharge_token": null,
"fee": 100
}